/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that allocate 100 floats in memory */
#include <stdio.h>
#include <malloc.h>

int main() {
    float *p;
    
    p = (float *) calloc(100,sizeof(float));
    if(!p){
        printf("allocation failure - aborting\n");
        exit(1);
    }
    printf("Will now free 100 floats from memory.\n");
    free(p);
}
